# Class BuilderFacade

Class BuilderFacade

Provides unified access to the builder functionality. While individual components of the builder subsystem may be called if necessary or suitable, it is usually better to do all extern invocations via the high level methods of this Facade

Declaration :

- C++ : class BuilderFacade

Artifact : builderfacade, Component(s) : Controller

Stereotype: boundary

Operation buildEngine

Main Operation of the Builder: create a render engine for a given part of the timeline

Declaration :

- Uml : + buildEngine() : RenderEngine
- C++ : public: RenderEngine buildEngine ()

All public operations : buildEngine